Name:           topcat
Version:        4.6.2
Release:        1%{?dist}
Summary:        Tool for OPerations on Catalogues And Tables

License:        GPLv3+ and LGPLv3+
URL:            http://www.star.bris.ac.uk/~mbt/topcat/
# Get jar from here: http://www.star.bris.ac.uk/~mbt/topcat/#install
Source0:        topcat-full.jar
# shell launcher
Source1:        topcat
# desktop file and menu icon
Source2:        topcat.desktop
Source3:        topcat.png
Source4:        topcat.svg

BuildArch:	noarch

Requires:       hicolor-icon-theme
Requires:       java-1.8.0-openjdk 
Requires:       /usr/bin/gtk-update-icon-cache


%description
TOPCAT is an interactive graphical viewer and editor for tabular data. Its aim
is to provide most of the facilities that astronomers need for analysis and
manipulation of source catalogues and other tables, though it can be used for
non-astronomical data as well. It understands a number of different
astronomically important formats (including FITS, VOTable and CDF) and more
formats can be added.

It offers a variety of ways to view and analyse tables, including a browser for
the cell data themselves, viewers for information about table and column
metadata, and facilities for sophisticated interactive 1-, 2-, 3- and higher-
dimensional visualisation, calculating statistics and joining tables using
flexible matching algorithms. Using a powerful and extensible Java-based
expression language new columns can be defined and row subsets selected for
separate analysis. Table data and metadata can be edited and the resulting
modified table can be written out in a wide range of output formats.

It is a stand-alone application which works quite happily with no network
connection. However, because it uses Virtual Observatory (VO) standards, it can
cooperate smoothly with other tools, services and datasets in the VO world and
beyond.

The program is written in pure Java and available under the GNU General Public
Licence, though some of the library code is LGPL. It has been developed mostly
in the UK within various UK and Euro-VO projects (Starlink, AstroGrid, VOTech,
AIDA, GAVO, GENIUS, DPAC) and under PPARC and STFC grants. Its underlying table
processing facilities are provided by the related packages STIL and STILTS.

%install
rm -rf %{buildroot}
# Create directories
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_prefix}/lib/%{name}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps
mkdir -p %{buildroot}/%{_datadir}/applications
# Install stuff
install -m 644 %{SOURCE0} %{buildroot}/%{_prefix}/lib/%{name}/%{name}.jar 
install -m 755 %{SOURCE1} %{buildroot}/%{_bindir}/%{name}
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/pixmaps/%{name}.png
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 %{SOURCE4} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/%{name}.jar
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Fri May 03 2019 Christian Dersch <christian.dersch@physik.uni-marburg.de> - 4.6.2-1
- new version

* Mon Jun 18 2018 Christian Dersch <lupinix@fedoraproject.org> - 4.6.1-1
- new version

* Mon Nov 13 2017 Christian Dersch <lupinix@mailbox.org> - 4.5.1-1
- new version

* Wed Oct 25 2017 Christian Dersch <lupinix@mailbox.org> - 4.5-1
- new version

* Mon Mar 13 2017 Christian Dersch <lupinix@mailbox.org> - 4.4-1
- new version

* Tue Dec 13 2016 Christian Dersch <lupinix@mailbox.org> - 4.3.5-1
- initial packaging effort
